Debian Bug report logs - #653862
ITP: pystache -- Mustache is a framework-agnostic way to render logic-free views

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kouhei Maeda <mkouhei@palmtb.net>

Date: Sat, 31 Dec 2011 17:30:02 UTC

Owned by: Kouhei Maeda <mkouhei@palmtb.net>

Severity: wishlist

Fixed in version pystache/0.5.3-1

Done: Kouhei Maeda <mkouhei@palmtb.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#653862; Package wnpp. (Sat, 31 Dec 2011 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kouhei Maeda <mkouhei@palmtb.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 31 Dec 2011 17:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kouhei Maeda <mkouhei@palmtb.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-pystache -- Mustache is a framework-agnostic way to render logic-free views
Date: Sun, 01 Jan 2012 02:28:10 +0900
Package: wnpp
Severity: wishlist
Owner: Kouhei Maeda <mkouhei@palmtb.net>

* Package name    : python-pystache
  Version         : 0.3.1
  Upstream Author : Chris Wanstrath <chris@ozmm.org>
* URL             : http://github.com/defunkt/pystache
* License         : MIT
  Programming Lang: Python
  Description     : Mustache is a framework-agnostic way to render logic-free views
 Inspired by ctemplate and et. As ctemplates says, "It emphasizes separating
 logic from presentation: it is impossible to embed application logic in this
 template language."
 Pystache is a Python implementation of Mustache. It has been tested with
 Python 2.6.1.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>:
Bug#653862; Package wnpp. (Sun, 01 Jan 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Pfaff <blp@cs.stanford.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kouhei Maeda <mkouhei@palmtb.net>. (Sun, 01 Jan 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 653862@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: Kouhei Maeda <mkouhei@palmtb.net>
Cc: 653862@bugs.debian.org
Subject: Re: Bug#653862: ITP: python-pystache -- Mustache is a framework-agnostic way to render logic-free views
Date: Sun, 01 Jan 2012 09:25:29 -0800
Kouhei Maeda <mkouhei@palmtb.net> writes:

>   Description     : Mustache is a framework-agnostic way to render logic-free views
>  Inspired by ctemplate and et. As ctemplates says, "It emphasizes separating
>  logic from presentation: it is impossible to embed application logic in this
>  template language."

It would be kind of you to say what it renders views into.  I
suspect that the answer is HTML, but it doesn't say so and I
could be guessing wrong.
-- 
Ben Pfaff 
http://benpfaff.org




Changed Bug title to 'ITP: pystache -- Mustache is a framework-agnostic way to render logic-free views' from 'ITP: python-pystache -- Mustache is a framework-agnostic way to render logic-free views' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 15 Oct 2012 07:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#653862; Package wnpp. (Sun, 28 Jul 2013 09:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kouhei Maeda <mkouhei@palmtb.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 28 Jul 2013 09:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 653862@bugs.debian.org (full text, mbox):

From: Kouhei Maeda <mkouhei@palmtb.net>
To: Ben Pfaff <blp@cs.stanford.edu>
Cc: 653862@bugs.debian.org
Subject: Re: Bug#653862: ITP: python-pystache -- Mustache is a framework-agnostic way to render logic-free views
Date: Sun, 28 Jul 2013 18:06:32 +0900
Hi, Ben

I'm sorry reply is very slow.

On Sun, 01 Jan 2012 09:25:29 -0800
Ben Pfaff <blp@cs.stanford.edu> wrote:

> Kouhei Maeda <mkouhei@palmtb.net> writes:
> 
> >   Description     : Mustache is a framework-agnostic way to render logic-free views
> >  Inspired by ctemplate and et. As ctemplates says, "It emphasizes separating
> >  logic from presentation: it is impossible to embed application logic in this
> >  template language."
> 
> It would be kind of you to say what it renders views into.  I
> suspect that the answer is HTML, but it doesn't say so and I
> could be guessing wrong.

Thank you for pointing out.
I will fix reference to your advice.

Best regards,
-- 
Kouhei Maeda <mkouhei at {palmtb.net,debian.or.jp}>
 B8F2 86F6 2206 360F 7D41  0817 2E81 6254 7E37 CE41



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 02 Aug 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Kouhei Maeda <mkouhei@palmtb.net>:
You have taken responsibility. (Sun, 01 Sep 2013 22:03:24 GMT) Full text and rfc822 format available.

Notification sent to Kouhei Maeda <mkouhei@palmtb.net>:
Bug acknowledged by developer. (Sun, 01 Sep 2013 22:03:25 GMT) Full text and rfc822 format available.

Message #24 received at 653862-close@bugs.debian.org (full text, mbox):

From: Kouhei Maeda <mkouhei@palmtb.net>
To: 653862-close@bugs.debian.org
Subject: Bug#653862: fixed in pystache 0.5.3-1
Date: Sun, 01 Sep 2013 22:00:06 +0000
Source: pystache
Source-Version: 0.5.3-1

We believe that the bug you reported is fixed in the latest version of
pystache, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653862@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kouhei Maeda <mkouhei@palmtb.net> (supplier of updated pystache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 01 Aug 2013 10:05:53 +0900
Source: pystache
Binary: python-pystache python3-pystache
Architecture: source all
Version: 0.5.3-1
Distribution: unstable
Urgency: low
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Changed-By: Kouhei Maeda <mkouhei@palmtb.net>
Description: 
 python-pystache - Python implementation of Mustache
 python3-pystache - Python3 implementation of Mustache
Closes: 653862
Changes: 
 pystache (0.5.3-1) unstable; urgency=low
 .
   * Initial release (Closes: #653862)
   * debian/patches:
     - exception_arguments: Append try/except to main()
     - update_egg-info: Append setup.cfg to SOURCES.txt
Checksums-Sha1: 
 6d4653f2b6fceda8912e6f924f948b45c064e502 1868 pystache_0.5.3-1.dsc
 227def9a34bfb41f072bbf3581df558a584a0043 74827 pystache_0.5.3.orig.tar.gz
 cc217a0103381f33aff3500960ea20215aae6f3d 3735 pystache_0.5.3-1.debian.tar.gz
 37b8089f8507689705b948f1dea1820738ef3237 39566 python-pystache_0.5.3-1_all.deb
 fe302db63d73673c533537eeca82f0c811be49f7 30288 python3-pystache_0.5.3-1_all.deb
Checksums-Sha256: 
 b62cc41ed8c7c1873fc040f5282902fa84c50274279eabb56b40cf0ab506f307 1868 pystache_0.5.3-1.dsc
 445c8663291abf11305693ecac7b9f3ff976555f5506ccc05a0353260a5a16dc 74827 pystache_0.5.3.orig.tar.gz
 4b69eebe60e2c159f8106c981421f465b42e1cdeb89f57cd21a362d6488732b0 3735 pystache_0.5.3-1.debian.tar.gz
 492928fe1842d2893fe37065f4e75fa1510ae84d6ca00711ed4c95fbcfb6a261 39566 python-pystache_0.5.3-1_all.deb
 06bca378c21fd4ae4dc013d8b743eab9695d6b25118fb1d92da0d837776d7eed 30288 python3-pystache_0.5.3-1_all.deb
Files: 
 6b8f0b9d028b9533653d72ef9f2cd137 1868 python optional pystache_0.5.3-1.dsc
 32beedc4ee01cca737ae8f05e65fb53f 74827 python optional pystache_0.5.3.orig.tar.gz
 7b04ae85483f3d86e4459f5cc935ca55 3735 python optional pystache_0.5.3-1.debian.tar.gz
 a6c10c90052771f57addd0d73236422d 39566 python optional python-pystache_0.5.3-1_all.deb
 719f511f4353f1b034c14469791adb10 30288 python optional python3-pystache_0.5.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR+2hBAAoJEDIkf7tArR+mT5AP/jDLTpw7kzUbTZZoMMbNg/0N
NLoavDtgMquHnNSgE2kQFjHX4Cc9nMEYLRwqCLLzpE2oM0MMKBS+MtIfVVSUU6yG
jUUycl51KqRVNxZdKwQi7ffX2GniyIT1zhqIVDbT1vj4zX13Q+hXRfJNnPKS7TJc
4anAEakpMtTrSnillcexWMk99mlkLQNrM25JXjd/SHN8JaADZ+RMfQclQX1NkNJG
RytYo4WRHbGHxtTY3dtHdFJ6WQRHYa3sF4JoVaXPL1QTsE75yj6gw7YTSMG/MSJP
9Hqh9XfIGxv1Z2L8GcZ9sD5AaUdev5jgsaXKwAACvbPOS1driXEVdFFqqVNe2S/7
cxXsHiMYEbVMMnqNjKi4klS/GhkyoDWPhyF9m4+F5SLu+DqxgukYh2TNyCDDWFPY
miip9y1zXgUUQuUHT6pyieTxsuuSie514PL+0OeUjjSKZgsSvC5wbfV9pu+RJ3d9
Sn40cfgCF8nkIYKEXu/RYL11YKmZ7dv2aJ9SSpdsmLagBzP0la8LAMyg/QsmuLoy
++MYI3VmqbE/4IVJx65jVYS43zTumNLx22RvzlEpBiLcAPw3Nw6EDSMgnoGkvf5O
OhUuacVuxm6NGWZ1pi4cEzSd0UwYOhthYn5RGJqAKEg6lE38B/gZb3KvDa6/Zvo3
L6LHIGcSFoihCDP8me/K
=qGxQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Sep 2013 07:34:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:02:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.